<?xml version="1.0" encoding="utf-8"?>

<configuration>
	<configSections>
		<section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
	</configSections>
	<runtime>
		<loadFromRemoteSources enabled="true" />
		<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
			<dependentAssembly>
				<assemblyIdentity name="Microsoft.Practices.ServiceLocation" publicKeyToken="31bf3856ad364e35" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-1.3.0.0" newVersion="1.3.0.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="Ninject" publicKeyToken="c7192dc5380945e7" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-3.2.0.0" newVersion="3.2.0.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="Xceed.Wpf.Toolkit" publicKeyToken="3e4669d2f30244f4" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-1.9.0.0" newVersion="1.9.0.0" />
			</dependentAssembly>
		</assemblyBinding>
	</runtime>
	<appSettings>
		<add key="OracleVersion" value="2.112.2.0" />
	</appSettings>
	<startup>
		<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
	</startup>
	<log4net>
		<root>
			<level value="ALL" />
			<appender-ref ref="AppAppender" />
			<appender-ref ref="EFTracer" />
		</root>
		<appender name="EFTracer" type="log4net.Appender.RollingFileAppender">
			<file value="logs/ef-trace.log" />
			<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
			<appendToFile value="true" />
			<rollingStyle value="Composite" />
			<datePattern value=".yyyy-MM-dd" />
			<maxSizeRollBackups value="10" />
			<maximumFileSize value="1MB" />
			<layout type="log4net.Layout.PatternLayout">
				<conversionPattern value="%date [%thread] %-5level %logger - %message%newline" />
			</layout>
			<filter type="log4net.Filter.LoggerMatchFilter">
				<acceptOnMatch value="true" />
				<LoggerToMatch value="SDFO.Core.DAL.EF.EFTracer" />
			</filter>
			<filter type="log4net.Filter.DenyAllFilter" />
		</appender>
		<appender name="AppAppender" type="log4net.Appender.RollingFileAppender">
			<file value="logs/SFM.AdminARM.log" />
			<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
			<appendToFile value="true" />
			<rollingStyle value="Composite" />
			<datePattern value=".yyyy-MM-dd" />
			<maxSizeRollBackups value="10" />
			<maximumFileSize value="1MB" />
			<layout type="log4net.Layout.PatternLayout">
				<conversionPattern value="%date [%thread] %-5level %logger - %message%newline" />
			</layout>
			<filter type="log4net.Filter.LoggerMatchFilter">
				<acceptOnMatch value="false" />
				<LoggerToMatch value="SDFO.Core.DAL.EF.EFTracer" />
			</filter>
		</appender>
	</log4net>
</configuration>